# Code of Conduct
## Introduction
<p>Our project is committed to creating an inclusive, safe, and respectful environment for all contributors and users. We are dedicated to fostering a community where everyone can participate freely without fear of discrimination or harassment.</p>

<h2>Our Pledge</h2>
    <p>We pledge to:</p>
    <ul>
        <li><strong>Promote Respect:</strong> Ensure every individual is treated with dignity and respect.</li>
        <li><strong>Foster Inclusivity:</strong> Support diversity and encourage contributions from people of all backgrounds.</li>
        <li><strong>Encourage Positive Engagement:</strong> Provide constructive feedback and collaborate effectively.</li>
    </ul>
<h2>Unacceptable Behavior</h2>
    <p>Examples of unacceptable behavior include, but are not limited to:</p>
    <ul>
        <li><strong>Racism:</strong> Any form of discrimination or derogatory comments based on race or ethnicity.</li>
        <li><strong>Sexism:</strong> Discrimination or derogatory remarks based on gender or sex.</li>
        <li><strong>Homophobia:</strong> Discriminatory or hateful behavior towards individuals based on their sexual orientation.</li>
        <li><strong>Transphobia:</strong> Discriminatory behavior or comments towards transgender individuals.</li>
        <li><strong>Hate Speech:</strong> Any speech that incites violence or prejudicial treatment against individuals or groups based on their identity.</li>
        <li><strong>Ableism:</strong> Discriminatory actions or comments against individuals with disabilities.</li>
        <li><strong>Islamophobia:</strong> Negative or hostile comments or actions targeting individuals based on their Islamic faith or beliefs.</li>
        <li><strong>Harassment:</strong> Including but not limited to, unwanted advances, threats, bullying, and personal attacks.</li>
    </ul>


 <h2>Expected Behavior</h2>
    <p>All participants are expected to:</p>
    <ul>
        <li><strong>Be Respectful:</strong> Show respect and consideration in all interactions. Be courteous and polite.</li>
        <li><strong>Be Inclusive:</strong> Actively include and welcome people from diverse backgrounds and perspectives.</li>
        <li><strong>Provide Constructive Feedback:</strong> Offer feedback that is helpful and constructive, not personal or demeaning.</li>
        <li><strong>Respect Privacy:</strong> Keep personal information private and handle data responsibly.</li>
    </ul>

<h2>Reporting Issues</h2>
    <p>If you witness or experience any behavior that violates this Code of Conduct, please report it immediately. Reports can be made to <a href="mailto:powerampache.ducking336@silomails.com">Project Maintainers</a> 

<h2>Enforcement</h2>
    <p>We are committed to enforcing this Code of Conduct and addressing violations appropriately. Actions that may be taken include:</p>
    <ul>
        <li><strong>Warnings:</strong> Issuing a formal warning to the individual about their behavior.</li>
        <li><strong>Temporary Suspension:</strong> Temporarily restricting access to project resources or communication channels.</li>
        <li><strong>Permanent Ban:</strong> Removing the individual from the project and all associated spaces.</li>
    </ul>

